glm.summaries {base} | R Documentation

## Accessing Generalized Linear Model Fits

### Description

These functions are all `methods` for class `glm` or `summary.glm` objects.

### Usage

    coefficients(x) ; coef(x)
    family(object, ...)
    fitted.values(x) ; fitted(x)
    residuals(object, type = c("deviance", "pearson", "working",
                          "response", "partial"), ...)

### Arguments

`object, x` | an object of class `glm`, typically the result of a call to `glm`.
`test` | a character string, matching one of `"Chisq"`, `"F"` or `"Cp"`. See `stat.anova`.
`type` | the type of residuals which should be returned. The alternatives are: `"deviance"` (default), `"pearson"`, `"working"`, `"response"`, and `"partial"`.
`...` | further arguments passed to or from other methods.

### See Also

`glm` for computing `glm.obj`, `anova.glm`; the corresponding generic functions, `summary.glm`, `coefficients`, `deviance`, `df.residual`, `effects`, `fitted.values`, `residuals`.

[Package Contents]